using UnityEngine;

namespace Mod
{
	public class Mod
	{
		public static void Main()
		{
			CategoryBuilder.Create("BBQ's Original Trilogy", "Great power with comes great responsibility", ModAPI.LoadSprite("Category.png"));
			//2-3Suit
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Android"), //item to derive from
					NameOverride = "Spider-Man", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Hang on Mary Jane!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Original Trilogy"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("RaimiThumb1.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									foreach (var body in person.Limbs)
									{
										body.transform.root.localScale *= 1f;
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 1000000000f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										body.transform.root.localScale *= 0.99f;
									}
						
									foreach (var Limbs in person.Limbs)
									{
										Limbs.IsAndroid = false;
										Limbs.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Incredible");
										Limbs.BaseStrength *= 2f;
										Limbs.Health += 100000000000f;
										Limbs.InitialHealth += 100000000000f;
										Limbs.ShotDamageMultiplier *= 0f;
										Limbs.Vitality *= 4.5f;
										Limbs.ImpactPainMultiplier *= 0f;
										Limbs.Numbness *= 2f;
										Limbs.IsLethalToBreak = false;
										Limbs.BreakingThreshold += 55f;
										Limbs.RegenerationSpeed += 1000000000f;
										Limbs.CirculationBehaviour.BloodFlow *= 4f;
									}
						
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Raimi1.png");
						var flesh = ModAPI.LoadTexture("2.png");
						var bone = ModAPI.LoadTexture("3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Android"), //item to derive from
					NameOverride = "Old Spider-Man", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Great power with comes great responsibility", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Original Trilogy"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("RaimiThumb2.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									foreach (var body in person.Limbs)
									{
										body.transform.root.localScale *= 1f;
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 1000000000f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										body.transform.root.localScale *= 0.99f;
									}
						
									foreach (var Limbs in person.Limbs)
									{
										Limbs.IsAndroid = false;
										Limbs.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Incredible");
										Limbs.BaseStrength *= 2f;
										Limbs.Health += 100000000000f;
										Limbs.InitialHealth += 100000000000f;
										Limbs.ShotDamageMultiplier *= 0f;
										Limbs.Vitality *= 4.5f;
										Limbs.ImpactPainMultiplier *= 0f;
										Limbs.Numbness *= 2f;
										Limbs.IsLethalToBreak = false;
										Limbs.BreakingThreshold += 55f;
										Limbs.RegenerationSpeed += 1000000000f;
										Limbs.CirculationBehaviour.BloodFlow *= 4f;
									}
						
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Raimi2.png");
						var flesh = ModAPI.LoadTexture("2.png");
						var bone = ModAPI.LoadTexture("3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Android"), //item to derive from
					NameOverride = "Spider-Man (Spider-Man: No Way Home)", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "I need Sandman's Cure!!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Original Trilogy"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("RaimiThumb3.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									foreach (var body in person.Limbs)
									{
										body.transform.root.localScale *= 1f;
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 1000000000f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										body.transform.root.localScale *= 0.99f;
									}
						
									foreach (var Limbs in person.Limbs)
									{
										Limbs.IsAndroid = false;
										Limbs.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Incredible");
										Limbs.BaseStrength *= 2f;
										Limbs.Health += 100000000000f;
										Limbs.InitialHealth += 100000000000f;
										Limbs.ShotDamageMultiplier *= 0f;
										Limbs.Vitality *= 4.5f;
										Limbs.ImpactPainMultiplier *= 0f;
										Limbs.Numbness *= 2f;
										Limbs.IsLethalToBreak = false;
										Limbs.BreakingThreshold += 55f;
										Limbs.RegenerationSpeed += 1000000000f;
										Limbs.CirculationBehaviour.BloodFlow *= 4f;
									}
						
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Raimi3.png");
						var flesh = ModAPI.LoadTexture("2.png");
						var bone = ModAPI.LoadTexture("3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Android"), //item to derive from
					NameOverride = "Symbiote Spider-Man", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Look at Little Goblin Jr. Gonna Cry?", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Original Trilogy"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("RaimiThumb4.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									foreach (var body in person.Limbs)
									{
										body.transform.root.localScale *= 1f;
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 1000000000f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										body.transform.root.localScale *= 0.99f;
									}
						
									foreach (var Limbs in person.Limbs)
									{
										Limbs.IsAndroid = false;
										Limbs.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Incredible");
										Limbs.BaseStrength *= 2f;
										Limbs.Health += 100000000000f;
										Limbs.InitialHealth += 100000000000f;
										Limbs.ShotDamageMultiplier *= 0f;
										Limbs.Vitality *= 4.5f;
										Limbs.ImpactPainMultiplier *= 0f;
										Limbs.Numbness *= 2f;
										Limbs.IsLethalToBreak = false;
										Limbs.BreakingThreshold += 55f;
										Limbs.RegenerationSpeed += 1000000000f;
										Limbs.CirculationBehaviour.BloodFlow *= 4f;
									}
						
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("RaimiBlack.png");
						var flesh = ModAPI.LoadTexture("Raimi1.png");
						var bone = ModAPI.LoadTexture("3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Android"), //item to derive from
					NameOverride = "Human Spider", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Did your Husband give it to you?", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Original Trilogy"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("RaimiThumb5.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									foreach (var body in person.Limbs)
									{
										body.transform.root.localScale *= 1f;
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 1000000000f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										body.transform.root.localScale *= 0.99f;
									}
						
									foreach (var Limbs in person.Limbs)
									{
										Limbs.IsAndroid = false;
										Limbs.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Incredible");
										Limbs.BaseStrength *= 2f;
										Limbs.Health += 100000000000f;
										Limbs.InitialHealth += 100000000000f;
										Limbs.ShotDamageMultiplier *= 0f;
										Limbs.Vitality *= 4.5f;
										Limbs.ImpactPainMultiplier *= 0f;
										Limbs.Numbness *= 2f;
										Limbs.IsLethalToBreak = false;
										Limbs.BreakingThreshold += 55f;
										Limbs.RegenerationSpeed += 1000000000f;
										Limbs.CirculationBehaviour.BloodFlow *= 4f;
									}
						
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("HumanSpider.png");
						var flesh = ModAPI.LoadTexture("2.png");
						var bone = ModAPI.LoadTexture("3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Android"), //item to derive from
					NameOverride = "Peter Parker", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Trying to do better.", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Original Trilogy"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("RaimiThumb6.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									foreach (var body in person.Limbs)
									{
										body.transform.root.localScale *= 1f;
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 1000000000f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										body.transform.root.localScale *= 0.99f;
									}
						
									foreach (var Limbs in person.Limbs)
									{
										Limbs.IsAndroid = false;
										Limbs.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Incredible");
										Limbs.BaseStrength *= 2f;
										Limbs.Health += 100000000000f;
										Limbs.InitialHealth += 100000000000f;
										Limbs.ShotDamageMultiplier *= 0f;
										Limbs.Vitality *= 4.5f;
										Limbs.ImpactPainMultiplier *= 0f;
										Limbs.Numbness *= 2f;
										Limbs.IsLethalToBreak = false;
										Limbs.BreakingThreshold += 55f;
										Limbs.RegenerationSpeed += 1000000000f;
										Limbs.CirculationBehaviour.BloodFlow *= 4f;
									}
						
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("PeterParker1.png");
						var flesh = ModAPI.LoadTexture("2.png");
						var bone = ModAPI.LoadTexture("3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Android"), //item to derive from
					NameOverride = "Spider-Man (Unmasked)", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Go get 'em Tiger!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Original Trilogy"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("RaimiThumb7.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									foreach (var body in person.Limbs)
									{
										body.transform.root.localScale *= 1f;
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 1000000000f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										body.transform.root.localScale *= 0.99f;
									}
						
									foreach (var Limbs in person.Limbs)
									{
										Limbs.IsAndroid = false;
										Limbs.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Incredible");
										Limbs.BaseStrength *= 2f;
										Limbs.Health += 100000000000f;
										Limbs.InitialHealth += 100000000000f;
										Limbs.ShotDamageMultiplier *= 0f;
										Limbs.Vitality *= 4.5f;
										Limbs.ImpactPainMultiplier *= 0f;
										Limbs.Numbness *= 2f;
										Limbs.IsLethalToBreak = false;
										Limbs.BreakingThreshold += 55f;
										Limbs.RegenerationSpeed += 1000000000f;
										Limbs.CirculationBehaviour.BloodFlow *= 4f;
									}
						
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("PeterParker2.png");
						var flesh = ModAPI.LoadTexture("2.png");
						var bone = ModAPI.LoadTexture("3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Android"), //item to derive from
					NameOverride = "Bully Maguire", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "I am really gonna enjoy this...", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Original Trilogy"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("RaimiThumb8.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									foreach (var body in person.Limbs)
									{
										body.transform.root.localScale *= 1f;
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 1000000000f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										body.transform.root.localScale *= 0.99f;
									}
						
									foreach (var Limbs in person.Limbs)
									{
										Limbs.IsAndroid = false;
										Limbs.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Incredible");
										Limbs.BaseStrength *= 2f;
										Limbs.Health += 100000000000f;
										Limbs.InitialHealth += 100000000000f;
										Limbs.ShotDamageMultiplier *= 0f;
										Limbs.Vitality *= 4.5f;
										Limbs.ImpactPainMultiplier *= 0f;
										Limbs.Numbness *= 2f;
										Limbs.IsLethalToBreak = false;
										Limbs.BreakingThreshold += 55f;
										Limbs.RegenerationSpeed += 1000000000f;
										Limbs.CirculationBehaviour.BloodFlow *= 4f;
									}
						
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("BullyMaguire1.png");
						var flesh = ModAPI.LoadTexture("2.png");
						var bone = ModAPI.LoadTexture("3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Android"), //item to derive from
					NameOverride = "Symbiote Spider-Man (Unmasked)", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "See ya, chump!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Original Trilogy"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("RaimiThumb9.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									foreach (var body in person.Limbs)
									{
										body.transform.root.localScale *= 1f;
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 1000000000f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										body.transform.root.localScale *= 0.99f;
									}
						
									foreach (var Limbs in person.Limbs)
									{
										Limbs.IsAndroid = false;
										Limbs.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Incredible");
										Limbs.BaseStrength *= 2f;
										Limbs.Health += 100000000000f;
										Limbs.InitialHealth += 100000000000f;
										Limbs.ShotDamageMultiplier *= 0f;
										Limbs.Vitality *= 4.5f;
										Limbs.ImpactPainMultiplier *= 0f;
										Limbs.Numbness *= 2f;
										Limbs.IsLethalToBreak = false;
										Limbs.BreakingThreshold += 55f;
										Limbs.RegenerationSpeed += 1000000000f;
										Limbs.CirculationBehaviour.BloodFlow *= 4f;
									}
						
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("BUllyMaguire2.png");
						var flesh = ModAPI.LoadTexture("PeterParker2.png");
						var bone = ModAPI.LoadTexture("3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Android"), //item to derive from
					NameOverride = "Human Spider (Unmasked)", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "I missed the part where that's my problem.", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Original Trilogy"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("RaimiThumb10.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									foreach (var body in person.Limbs)
									{
										body.transform.root.localScale *= 1f;
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 1000000000f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										body.transform.root.localScale *= 0.99f;
									}
						
									foreach (var Limbs in person.Limbs)
									{
										Limbs.IsAndroid = false;
										Limbs.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Incredible");
										Limbs.BaseStrength *= 2f;
										Limbs.Health += 100000000000f;
										Limbs.InitialHealth += 100000000000f;
										Limbs.ShotDamageMultiplier *= 0f;
										Limbs.Vitality *= 4.5f;
										Limbs.ImpactPainMultiplier *= 0f;
										Limbs.Numbness *= 2f;
										Limbs.IsLethalToBreak = false;
										Limbs.BreakingThreshold += 55f;
										Limbs.RegenerationSpeed += 1000000000f;
										Limbs.CirculationBehaviour.BloodFlow *= 4f;
									}
						
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("HumanSpiderUnmasked.png");
						var flesh = ModAPI.LoadTexture("2.png");
						var bone = ModAPI.LoadTexture("3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);
		}
	}
}